import MainLayout from '@/layout/main/MainLayout.vue';
import axios from 'axios';

const router = {
    path:'',
    component: MainLayout,
    redirect: '/analysis',
    name: '/',
    meta: {
        title: '工作台',
        icon: 'dashboard',
        routerGuard: true,
        i18n: `menu.dashboard`,
    },
    children: [{
      path: '/analysis',
      name: '/analysis',
      component: () => import(/* webpackChunkName: "dashboard" */ '@/views/dashboard/Analysis.vue'),
      meta: {
        title: '分析页',
        routerGuard: true,
        i18n: `menu.dashboard.analysis`,
      },
    },
    {
      path: '/monitor',
      name: '/monitor',
      routerGuard: true,
      component: () => import(/* webpackChunkName: "dashboard" */ '@/views/dashboard/Monitor.vue'),
      meta: {
        title: '监控页',
        routerGuard: true,
        i18n: `menu.dashboard.monitor`,
      },
    },
    {
      path: '/workplace',
      name: '/workplace',
      routerGuard: true,
      component: () => import(/* webpackChunkName: "dashboard" */ '@/views/dashboard/Workplace.vue'),
      meta: {
        title: '工作台',
        routerGuard: true,
        i18n: `menu.dashboard.workplace`,
        acl: {
          ability: ['dashboard.workplace'],
        },
      },
    }],
}

// console.log(sessionStorage);
// let menuData = JSON.parse(sessionStorage.getItem('menuData'))
// console.log('--------------------');

// console.log(menuData)
// let menuArray:any = []
// for (let i = 0; i < menuData.length; i++) {
//   // router.meta.title = menuData[0].name
//   // router.path = menuData[0].name
//     menuArray.push({'path':'','name':''})
//   for (let j = 0; j < menuData[0].children.length; j++) {
//     // console.log(menuData[0].children[j]);
//     // router.children[j].meta.title = menuData[0].children[j].name
//     // console.log(router);

//   }
// }

// export function routerMenus() {
//   const routersMenu = JSON.parse(sessionStorage.getItem('menuData'))
//   console.log(routersMenu);
//   console.log(1111111111111111111111111)

//   const currentRoutes = router.options.routes
//   const rightList = routersMenu
//   rightList.forEach(item => {
//     const child = item.children
//     item.children = []
//     currentRoutes.splice(currentRoutes.length, 0, item)
//     child.forEach(item => {
//       const temp = ruleMapping[item.url]
//       currentRoutes[currentRoutes.length - 1].children.push(temp)
//     })
//   })
//   router.addRoutes(currentRoutes)
// }

// for(let i = 0;i<abc.length;i++){

// }
export default router;
